Check domain availability
curl --request GET \
--url https://www.atom.com/api/registrar/v1/domains/check/{domain_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.atom.com/api/registrar/v1/domains/check/{domain_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.atom.com/api/registrar/v1/domains/check/{domain_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"domain": "example.com",
"availability": 1,
"status": "available"
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid registrar API token or access has been revoked. Please request registrar API access from your dashboard."
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}Domains
Check domain availability
Check if a single domain name is available for registration. Some results may be cached.
GET
/
registrar
/
v1
/
domains
/
check
/
{domain_name}
Check domain availability
Authorizations
Registrar API Bearer token. Obtain from dashboard at /dashboard/seller/api-access after requesting Registrar API access.
Path Parameters
Domain name to check (e.g., 'example.com')
Pattern:
^[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,}$⌘I